workflow:
  rules:
    !reference [.workflow/docker, rules]

.workflow/docker:
  rules:
    - when: always
      variables:
        CI_DOCKER_RUNNER_TAG: docker

.docker/base:
  image: ${CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX}/docker:latest
  tags:
  - $CI_DOCKER_RUNNER_TAG

.docker-build/base:
  extends: .docker/base
  stage: build

.docker-push/base:
  extends: .docker-build/base
  stage: deploy